=== tests/utils/CMakeLists.txt ===
ADD_TESTS( text )
ADD_TESTS( formater )
