=== debian/changelog ===
zypper (1.14.68-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 19:39:52 +1100

zypper (1.14.68-1build1) noble; urgency=medium

  * No-change rebuild for libreadline t64.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 15 Mar 2024 18:58:49 +0100

zypper (1.14.68-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/1.14.68'

 -- Luca Boccassi <bluca@debian.org>  Wed, 20 Dec 2023 14:43:28 +0100

zypper (1.14.66-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/1.14.66'
  * d/control: drop ancient version constraint on CMake
  * Drop 1001_make-ZyppCommon-cmake-module-includable.patch, merged
    upstream

 -- Luca Boccassi <bluca@debian.org>  Fri, 13 Oct 2023 11:20:25 +0100

zypper (1.14.65-1) unstable; urgency=medium

  * Switch to git-buildpackage workflow
  * Switch to debhelper
  * Update upstream source from tag 'upstream/1.14.65'
  * Drop 1002_some-spelling-fixes.patch, merged upstream
  * Drop manual setting of CMake prefix directory
  * Drop manual rename of bash completion script, fixed upstream

 -- Luca Boccassi <bluca@debian.org>  Sun, 01 Oct 2023 12:40:10 +0100
