=== debian/control ===
Source: zypper
Section: admin
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Mike Gabriel <sunweaver@debian.org>
Uploaders: Luca Boccassi <bluca@debian.org>
Priority: optional
Build-Depends: asciidoctor,
               debhelper-compat (= 13),
               cmake,
               libreadline-dev,
               libzypp-dev (>= 17.31),
               libaugeas-dev,
               libboost-all-dev,
               librpm-dev,
Homepage: https://github.com/openSUSE/zypper
Rules-Requires-Root: no
Standards-Version: 4.6.2
Vcs-Git: https://salsa.debian.org/debian/zypper.git
Vcs-Browser: https://salsa.debian.org/debian/zypper

Package: zypper
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 zypper-common (>= ${source:Version}),
Suggests:
 zypper-doc,
Description: command line software manager using libzypp
 Zypper is a command line tool for managing software. It can be used to add
 package repositories, search for packages, install, remove, or update packages,
 install patches, hardware drivers, verify dependencies, and more.
 Zypper can be used interactively or non-interactively by user, from scripts,
 or front-ends.

Package: zypper-common
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Description: command line software manager using libzypp (common files)
 Zypper is a command line tool for managing software. It can be used to add
 package repositories, search for packages, install, remove, or update packages,
 install patches, hardware drivers, verify dependencies, and more.
 Zypper can be used interactively or non-interactively by user, from scripts,
 or front-ends.
 .
 This package contains the arch-independent files of the zypper software
 manager.

Package: zypper-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Description: command line software manager using libzypp (documentation)
 Zypper is a command line tool for managing software. It can be used to add
 package repositories, search for packages, install, remove, or update packages,
 install patches, hardware drivers, verify dependencies, and more.
 Zypper can be used interactively or non-interactively by user, from scripts,
 or front-ends.
 .
 This package contains the documentation files of the zypper software
 manager.
