=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
include /usr/share/dpkg/default.mk

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DENABLE_BUILD_TESTS=ON \
		-DLIB=lib/$(shell dpkg-architecture -qDEB_BUILD_MULTIARCH) \
		-DCMAKE_VERBOSE_MAKEFILE=ON

execute_after_dh_auto_install:
	rm -f $(CURDIR)/debian/tmp/usr/bin/apt*
	rm -f $(CURDIR)/debian/tmp/usr/bin/installation_sources
