=== debian/changelog ===
zypper (1.14.76-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/1.14.76'

 -- Luca Boccassi <bluca@debian.org>  Sun, 07 Jul 2024 23:41:45 +0100

zypper (1.14.74-1) unstable; urgency=medium

  * Mark autopkgtest as superficial
  * Update upstream source from tag 'upstream/1.14.74'

 -- Luca Boccassi <bluca@debian.org>  Mon, 01 Jul 2024 09:53:29 +0100

zypper (1.14.73-3) unstable; urgency=high

  * Restrict autopkgtest to amd64, repositories not available on other
    arches

 -- Luca Boccassi <bluca@debian.org>  Thu, 16 May 2024 10:09:46 +0100

zypper (1.14.73-2) unstable; urgency=medium

  * Add autopkgtest smoke test
  * Bump dependency on libzypp-dev to 17.34

 -- Luca Boccassi <bluca@debian.org>  Wed, 15 May 2024 22:08:06 +0100

zypper (1.14.73-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/1.14.73'
  * Bump libzypp-dev dependency to >= 17.33

 -- Luca Boccassi <bluca@debian.org>  Sun, 05 May 2024 20:21:12 +0100

zypper (1.14.71-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/1.14.71'
  * Bump Standards-Version to 4.7.0, no changes

 -- Luca Boccassi <bluca@debian.org>  Sat, 20 Apr 2024 20:20:26 +0100

zypper (1.14.70-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/1.14.70'

 -- Luca Boccassi <bluca@debian.org>  Wed, 03 Apr 2024 23:50:02 +0100

zypper (1.14.69-1) unstable; urgency=medium

  * Move package to pkg-rpm-team
  * Update upstream source from tag 'upstream/1.14.69'
  * Bump dependency on libzypp to 17.32

 -- Luca Boccassi <bluca@debian.org>  Sat, 23 Mar 2024 23:00:56 +0000
