=== debian/control ===
--- 
+++ 
@@ -1,22 +1,22 @@
 Source: zypper
 Section: admin
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Mike Gabriel <sunweaver@debian.org>
-Uploaders: Luca Boccassi <bluca@debian.org>
+Maintainer: RPM packaging team <team+pkg-rpm@tracker.debian.org>
+Uploaders: Luca Boccassi <bluca@debian.org>,
+           Mike Gabriel <sunweaver@debian.org>,
 Priority: optional
 Build-Depends: asciidoctor,
                debhelper-compat (= 13),
                cmake,
                libreadline-dev,
-               libzypp-dev (>= 17.31),
+               libzypp-dev (>= 17.34~),
                libaugeas-dev,
                libboost-all-dev,
                librpm-dev,
 Homepage: https://github.com/openSUSE/zypper
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
-Vcs-Git: https://salsa.debian.org/debian/zypper.git
-Vcs-Browser: https://salsa.debian.org/debian/zypper
+Standards-Version: 4.7.0
+Vcs-Git: https://salsa.debian.org/pkg-rpm-team/zypper.git
+Vcs-Browser: https://salsa.debian.org/pkg-rpm-team/zypper
 
 Package: zypper
 Architecture: any
