=== debian/tests/control ===
Tests: testsuite.sh
Restrictions: allow-stderr, needs-internet, superficial
Architecture: amd64
Depends: zypper, ca-certificates
