## zypper 1.14.77

=== debian/changelog ===
zypper (1.14.77-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/1.14.77'
  * Bump dependency on libzypp-dev to 17.35.10
  * Do not run tests in parallel

 -- Luca Boccassi <bluca@debian.org>  Tue, 10 Sep 2024 12:56:07 +0200
