## zypper 1.14.78

=== debian/changelog ===
zypper (1.14.78-1) unstable; urgency=medium

  * autopkgtest: ensure it runs when rpm is updated
  * Update upstream source from tag 'upstream/1.14.78'
  * autopkgtest: add needs-root restriction

 -- Luca Boccassi <bluca@debian.org>  Fri, 15 Nov 2024 10:53:01 +0000
