=== debian/changelog ===
zypper (1.14.79-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/1.14.79'

 -- Luca Boccassi <bluca@debian.org>  Fri, 10 Jan 2025 18:45:15 +0000
