## zypper 1.14.80

=== debian/changelog ===
zypper (1.14.80-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/1.14.80'

 -- Luca Boccassi <bluca@debian.org>  Sun, 19 Jan 2025 12:05:57 +0000
