## zypper 1.14.81

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-CMAKE_MINIMUM_REQUIRED(VERSION 3.5)
+CMAKE_MINIMUM_REQUIRED(VERSION 3.10)
 PROJECT( ZYPPER C CXX )
 SET( PACKAGE "zypper" )
 
@@ -6,14 +6,18 @@
 IF (DEFINED ZYPP_PREFIX)
   SET( CMAKE_MODULE_PATH
     ${ZYPP_PREFIX}/${LIB}/cmake/Zypp/
+    ${ZYPP_PREFIX}/lib64/cmake/Zypp/
+    ${ZYPP_PREFIX}/lib/cmake/Zypp/
     ${CMAKE_MODULE_PATH}
   )
-ELSE (DEFINED ZYPP_PREFIX)
+else()
   SET( CMAKE_MODULE_PATH
     ${CMAKE_INSTALL_PREFIX}/${LIB}/cmake/Zypp/
+    ${CMAKE_INSTALL_PREFIX}/lib64/cmake/Zypp/
+    ${CMAKE_INSTALL_PREFIX}/lib/cmake/Zypp/
     ${CMAKE_MODULE_PATH}
   )
-ENDIF (DEFINED ZYPP_PREFIX)
+endif()
 
 SET( CMAKE_MODULE_PATH
   ${ZYPPER_SOURCE_DIR}/cmake/modules
@@ -48,41 +52,27 @@
   # abbreviations in order not to break tools. In 15.2 they must be fixed.
   MESSAGE( STATUS "LEGACY_ENABLE_LONGOPT_ABBREV" )
   ADD_DEFINITIONS( -DLEGACY_ENABLE_LONGOPT_ABBREV=1 )
-ENDIF ( LEGACY_ENABLE_LONGOPT_ABBREV )
+endif()
 
 GENERATE_PACKAGING(${PACKAGE} ${VERSION})
 
 FIND_PACKAGE( Zypp REQUIRED )
-IF( ZYPP_FOUND )
-  INCLUDE_DIRECTORIES(${ZYPP_INCLUDE_DIR})
-ELSE( ZYPP_FOUND )
-  MESSAGE( FATAL_ERROR "libzypp not found" )
-ENDIF( ZYPP_FOUND )
+INCLUDE_DIRECTORIES(${ZYPP_INCLUDE_DIR})
 
 FIND_PACKAGE( Gettext REQUIRED )
-IF( GETTEXT_FOUND )
-  INCLUDE_DIRECTORIES(${GETTEXT_INCLUDE_DIR})
-ELSE( GETTEXT_FOUND )
-  MESSAGE( FATAL_ERROR "gettext not found" )
-ENDIF( GETTEXT_FOUND )
+INCLUDE_DIRECTORIES(${GETTEXT_INCLUDE_DIR})
 
 FIND_PACKAGE( Readline REQUIRED )
-IF( READLINE_FOUND )
-  INCLUDE_DIRECTORIES(${READLINE_INCLUDE_DIR})
-ELSE( READLINE_FOUND )
-  MESSAGE( FATAL_ERROR "readline not found" )
-ENDIF( READLINE_FOUND )
+INCLUDE_DIRECTORIES(${READLINE_INCLUDE_DIR})
 
 FIND_PACKAGE( Augeas REQUIRED )
-IF( AUGEAS_FOUND )
-  INCLUDE_DIRECTORIES(${AUGEAS_INCLUDE_DIR})
-  FIND_PACKAGE(LibXml2)
-  IF (LIBXML2_FOUND)
-    INCLUDE_DIRECTORIES(${LIBXML2_INCLUDE_DIR})
-  ENDIF( LIBXML2_FOUND)
-ELSE( AUGEAS_FOUND )
-  MESSAGE( FATAL_ERROR "augeas not found" )
-ENDIF( AUGEAS_FOUND )
+INCLUDE_DIRECTORIES(${AUGEAS_INCLUDE_DIR})
+FIND_PACKAGE(LibXml2)
+IF (LIBXML2_FOUND)
+  INCLUDE_DIRECTORIES(${LIBXML2_INCLUDE_DIR})
+ENDIF()
+
+enable_testing()
 
 MACRO(ADD_TESTS)
   FOREACH( loop_var ${ARGV} )
@@ -90,26 +80,22 @@
     ADD_EXECUTABLE( ${loop_var}_test ${loop_var}_test.cc )
     TARGET_LINK_LIBRARIES( ${loop_var}_test ${ZYPP_LIBRARY} boost_unit_test_framework zypper_lib zypper_test_utils)
     ADD_TEST( ${loop_var}_test ${CMAKE_CURRENT_BINARY_DIR}/${loop_var}_test --catch_system_errors=no)
-  ENDFOREACH( loop_var )
+  endforeach()
 ENDMACRO(ADD_TESTS)
 
 ADD_SUBDIRECTORY( src )
 ADD_SUBDIRECTORY( doc )
 IF ( ENABLE_BUILD_TESTS )
   ADD_SUBDIRECTORY( tests )
-ELSE ( ENABLE_BUILD_TESTS )
+else()
   ADD_SUBDIRECTORY( tests EXCLUDE_FROM_ALL )
-ENDIF ( ENABLE_BUILD_TESTS )
+endif()
 
 IF ( ENABLE_BUILD_TRANS )
   ADD_SUBDIRECTORY( po )
-ELSE ( ENABLE_BUILD_TRANS )
+else()
   ADD_SUBDIRECTORY( po EXCLUDE_FROM_ALL )
-ENDIF ( ENABLE_BUILD_TRANS )
-
-INCLUDE(CTest)
-ENABLE_TESTING()
-
+endif()
 
 # documentation too important to be hidden in doc:
 INSTALL(
