=== debian/changelog ===
zypper (1.14.81-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/1.14.81'

 -- Luca Boccassi <bluca@debian.org>  Mon, 27 Jan 2025 11:35:17 +0000
