## zypper 1.14.83

=== debian/changelog ===
zypper (1.14.83-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/1.14.83'
  * Bump dependency on libzypp-dev

 -- Luca Boccassi <bluca@debian.org>  Tue, 11 Feb 2025 12:03:21 +0000
