## zypper 1.14.84

=== debian/changelog ===
zypper (1.14.84-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/1.14.84'

 -- Luca Boccassi <bluca@debian.org>  Mon, 17 Feb 2025 11:09:19 +0000
