=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                debhelper-compat (= 13),
                cmake,
                libreadline-dev,
-               libzypp-dev (>= 17.35.10~),
+               libzypp-dev (>= 17.36~),
                libaugeas-dev,
                libboost-all-dev,
                librpm-dev,
