## zypper 1.14.88

=== debian/changelog ===
zypper (1.14.88-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/1.14.88'
  * d/control: bump Standards-Version to 4.7.2, no changes

 -- Luca Boccassi <bluca@debian.org>  Sat, 15 Mar 2025 11:39:25 +0000

zypper (1.14.87-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/1.14.87'
  * Bump build dependency on libzypp to 17.36.4

 -- Luca Boccassi <bluca@debian.org>  Sun, 02 Mar 2025 15:49:27 +0000
