=== debian/rules ===
--- 
+++ 
@@ -14,3 +14,6 @@
 execute_after_dh_auto_install:
 	rm -f $(CURDIR)/debian/tmp/usr/bin/apt*
 	rm -f $(CURDIR)/debian/tmp/usr/bin/installation_sources
+
+override_dh_auto_test:
+	dh_auto_test --no-parallel
