## zypper 1.14.89

=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 ADD_SUBDIRECTORY( utils )
 
-ADD_CUSTOM_TARGET( ctest
+ADD_CUSTOM_TARGET( ${ZYPPER_TARGET_PREFIX}ctest
    COMMAND ctest -a
 )
