=== debian/changelog ===
zypper (1.14.89-1build1) questing; urgency=medium

  * No-change rebuild for libxml2 soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 22 May 2025 12:18:52 +0200

zypper (1.14.89-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/1.14.89'
  * d/copyright: use GPL URL instead of old FSF postal address

 -- Luca Boccassi <bluca@debian.org>  Fri, 02 May 2025 12:01:15 +0100
