=== debian/control ===
--- 
+++ 
@@ -8,13 +8,13 @@
                debhelper-compat (= 13),
                cmake,
                libreadline-dev,
-               libzypp-dev (>= 17.36~),
+               libzypp-dev (>= 17.36.4~),
                libaugeas-dev,
                libboost-all-dev,
                librpm-dev,
 Homepage: https://github.com/openSUSE/zypper
 Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Git: https://salsa.debian.org/pkg-rpm-team/zypper.git
 Vcs-Browser: https://salsa.debian.org/pkg-rpm-team/zypper
