=== src/CMakeLists.txt ===
--- 
+++ 
@@ -70,6 +70,7 @@
   commands/utils/licenses.h
   commands/utils/download.h
   commands/utils/source-download.h
+  commands/utils/system-architecture.h
   commands/utils/purge-kernels.h
   commands/ps.h
   commands/needs-rebooting.h
@@ -151,6 +152,7 @@
   commands/utils/licenses.cc
   commands/utils/download.cc
   commands/utils/source-download.cc
+  commands/utils/system-architecture.cc
   commands/utils/purge-kernels.cc
   commands/ps.cc
   commands/needs-rebooting.cc
