=== debian/changelog ===
zypper (1.14.93-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/1.14.93'
  * Bump dependency on libzypp-dev for new APIs
  * Build with package-notes ELF stamping
  * Depend on libzypp-bin

 -- Luca Boccassi <bluca@debian.org>  Sun, 10 Aug 2025 11:40:30 +0100
