=== debian/control ===
--- 
+++ 
@@ -6,9 +6,10 @@
 Priority: optional
 Build-Depends: asciidoctor,
                debhelper-compat (= 13),
+               dh-package-notes,
                cmake,
                libreadline-dev,
-               libzypp-dev (>= 17.36.4~),
+               libzypp-dev (>= 17.37.6~),
                libaugeas-dev,
                libboost-all-dev,
                librpm-dev,
@@ -24,6 +25,7 @@
  ${shlibs:Depends},
  ${misc:Depends},
  zypper-common (>= ${source:Version}),
+ libzypp-bin,
 Suggests:
  zypper-doc,
 Description: command line software manager using libzypp
