=== debian/tests/control ===
# Dummy test so that changes to key packages trigger our autopkgtests on ci.debian.net
Features: test-name=hint-testsuite-triggers
Test-Command: /bin/true
Depends: rpm,
Restrictions: hint-testsuite-triggers

Tests: testsuite.sh
Restrictions: allow-stderr, needs-internet, needs-root, superficial
Architecture: amd64
Depends: zypper, ca-certificates
