=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/([\d\.-]+)\.tar\.gz/zypper-$1.tar.gz/,dversionmangle=s/\+dfsg// \
https://github.com/openSUSE/zypper/tags .*/archive/refs/tags/([\d\.]+).tar.gz
