## zypper 1.14.94

=== debian/changelog ===
zypper (1.14.94-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/1.14.94'

 -- Luca Boccassi <bluca@debian.org>  Mon, 08 Dec 2025 22:58:48 +0000
